Skip to main content
GET
Get task by ID

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

taskId
string
required

Unique task identifier

Example:

"tsk_abc123def456"

Response

Task retrieved successfully

id
string
required

Unique identifier for the task

Example:

"tsk_abc123def456"

title
string
required

Task title

Example:

"Implement user authentication"

status
enum<string>
required

Task status

Available options:
todo,
in_progress,
done,
blocked
Example:

"in_progress"

createdAt
string<date-time>
required

Task creation timestamp

Example:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>
required

Task last update timestamp

Example:

"2024-01-15T10:30:00Z"

integrationScheduleFrequency
enum<string>
required

Cadence for running the integration check attached to this task

Available options:
daily,
weekly,
monthly,
quarterly,
yearly
Example:

"daily"

description
string

Task description

Example:

"Add OAuth 2.0 authentication to the platform"

taskTemplateId
object | null

Task template ID

Example:

"frk_tt_68406e353df3bc002994acef"

integrationLastRunAt
object | null

Last successful integration check run timestamp